Missing essential plugins: rider.intellij.plugin.appender when trying to run test

I'm trying to run a test for my rider plugin, however, the test errors out with the following:

`Missing essential plugins: rider.intellij.plugin.appender`

 

The test I'm trying to run is this:

class TestClass: LightPlatformCodeInsightFixtureTestCase() {

fun test() {
myFixture.testHighlighting(true, false, true, "testFile")
}
}

 

How would I add this plugin to my project so that I can get this test to run?

2 comments
Comment actions Permalink
Official comment

I'm presuming that you're using Gradle to build your plugin, and that you've included the gradle-intellij-plugin Gradle plugin into your build files. If so, then you can tell the plugin to download and include the "rider.intellij.plugin.appender" plugin by adding the following to your build file:

// Existing intellij configuration block
intellij {
// ...

plugins = [ 'rider-plugins-appender' ]

// ...
}

To be honest, I'm not sure why you're getting the error message - I don't think you could reference any code from this extra plugin without having it already referenced. Does your plugin.xml reference rider.intellij.plugin.appender at all?

Comment actions Permalink

Thanks for the reply. After adding that into the intellij config block it seems to be working.

My plugin.xml doesn't reference this at all and I haven't referenced it in any of my code either. But it seems to be a known issue according to the FSharp repo on github. 

0

Please sign in to leave a comment.